using UnityEngine;

public class GameManager : MonoBehaviour,ISceneInitializable
{
    public static GameManager Instance;

    public SkillSupport SkillSupporter {get; private set;}
    public PlayerController LocalPlayer {get; private set;}


    private void Awake()
    {
        if (Instance == null)
        {
            Instance = this; //만들어진 자신을 인스턴스로 설정
        }
        else
        {
            Destroy(gameObject); //이미 인스턴스가 있으면 자신을 파괴
        }
    }

    public void OnSceneLoaded()
    {
        Debug.Log("aaaa");
        SkillSupporter = Object.FindFirstObjectByType<SkillSupport>();
        LocalPlayer = Object.FindFirstObjectByType<PlayerController>();
    }
}
